V1.0
get
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/e2bmapping/all
Returns all E2B R3 mapping options that can be assigned to form questions in a study. The response is grouped by E2B category and includes available mapping items, display labels, mandatory indicators, and display order.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string).Example:
F054C951EB74443C93716CA714AB686E
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
E2B R3 mapping options were returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object E2B R3 Mapping Item v1.0
Title:
E2B R3 Mapping Item v1.0E2B R3 mapping category or mapping item returned for form question mapping. Top-level categories contain child mapping items in values.
Nested Schema : E2B R3 Mapping Item v1.0
Type:
objectTitle:
E2B R3 Mapping Item v1.0E2B R3 mapping category or mapping item returned for form question mapping. Top-level categories contain child mapping items in values.
Show Source
-
id: string
(uuid)
Advanced property item ID. UUID, 32-character uppercase hexadecimal string.
-
label: string
Display label for the EHR mapping item.Example:
Lab Result -
mandatory: boolean
-
name: string
Minimum Length:
1Maximum Length:255EHR code list or attribute group name.Example:EHRLabsAttributes -
order: string
-
rules: array
rules
-
type: string
Minimum Length:
1Maximum Length:30Advanced property type. EHR mapping responses use EHRMapping.Example:EHRMapping -
value: string
Minimum Length:
1Maximum Length:2048EHR category, item, or option code represented by this mapping item.Example:LabResult -
values: array
values
Example:
{
"name":"E2BR3Categories",
"value":"E2BD.PatientCharacteristics",
"label":"D. Patient Characteristics",
"mandatory":false,
"order":"10",
"values":[
{
"name":"D.1",
"value":"patientinitial",
"label":"D.1 Patient (name or initials)",
"mandatory":true,
"order":"10",
"values":[
]
}
]
}Nested Schema : rules
Type:
Show Source
array-
Array of:
object Form Item Advanced Property Rule v18.0
Title:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Nested Schema : values
Type:
Show Source
array-
Array of:
object E2BR3ItemAdvancedPropDto v1.0
Title:
E2BR3ItemAdvancedPropDto v1.0E2B3 Mapping Details Information
Nested Schema : Form Item Advanced Property Rule v18.0
Type:
objectTitle:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Show Source
-
label: string
Display label for the rule value.Example:
Yes -
name: string
Rule name.Example:
Answer -
value: string
Rule value. When the value is an ID, it is a UUID, 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF
Example:
{
"name":"Answer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}Nested Schema : E2BR3ItemAdvancedPropDto v1.0
Type:
objectTitle:
E2BR3ItemAdvancedPropDto v1.0E2B3 Mapping Details Information
Show Source
-
id: string
(uuid)
Advanced property item ID. UUID, 32-character uppercase hexadecimal string.
-
label: string
Display label for the EHR mapping item.Example:
Lab Result -
mandatory: boolean
-
name: string
Minimum Length:
1Maximum Length:255EHR code list or attribute group name.Example:EHRLabsAttributes -
order: string
-
rules: array
rules
-
type: string
Minimum Length:
1Maximum Length:30Advanced property type. EHR mapping responses use EHRMapping.Example:EHRMapping -
value: string
Minimum Length:
1Maximum Length:2048EHR category, item, or option code represented by this mapping item.Example:LabResult
Nested Schema : rules
Type:
Show Source
array-
Array of:
object Form Item Advanced Property Rule v18.0
Title:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples